Bug 152538 - cups corrupts ppd file while copying it to /etc/cups/ppd/
cups corrupts ppd file while copying it to /etc/cups/ppd/
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-03-29 23:06 EST by Myk Melez
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-12 12:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
original, uncorrupted PPD (18.11 KB, text/plain)
2005-03-29 23:06 EST, Myk Melez
no flags Details
corrupted PPD (7.74 KB, text/plain)
2005-03-29 23:09 EST, Myk Melez
no flags Details

  None (edit)
Description Myk Melez 2005-03-29 23:06:49 EST
Description of problem:

If I place the pxl1010 PPD for the LaserJet 1012 into my /usr/share/cups/model/
directory, then restart CUPS and add my LaserJet 1012 to my list of printers via
printconf-gui, cups copies the PPD file to /etc/cups/ppd, but the PPD file gets
corrupted in the process, and the corruption causes my printer to print out
reams of blank pages and raw printer commands when I try to print a document.

If I subsequently copy the file over myself and restart cupsd, all is well, and
I can print using the PPD file perfectly.

Version-Release number of selected component (if applicable):

Latest cups from FC3+updates:

[myk@myk ~]$ rpm -qi cups
Name        : cups                         Relocations: (not relocatable)
Version     : 1.1.22                            Vendor: Red Hat, Inc.
Release     : 0.rc1.8.5                     Build Date: Mon 07 Feb 2005 09:11:00

Latest version of the pxl1010 PPD file from linuxprinting.org:


How reproducible:   Happens every time.
Steps to Reproduce: See description.
Actual results:     Corrupted PPD; prints garbage
Expected results:   Uncorrupted PPD; prints documents
Comment 1 Myk Melez 2005-03-29 23:06:49 EST
Created attachment 112444 [details]
original, uncorrupted PPD
Comment 2 Myk Melez 2005-03-29 23:09:23 EST
Created attachment 112445 [details]
corrupted PPD
Comment 3 Myk Melez 2005-03-29 23:12:49 EST
Note that this reoccurs when you make changes to the printer's configuration, so
even if you fix the problem by manually copying over the file, it will get
re-corrupted the next time you change its configuration.

Note also the following message in the linuxprinting forums, in which another
user runs into the same problem:


Finally, I note that the version of cups on my Mac OS X 10.3.8 laptop does not
have this problem.  I'm not sure what version of cups they're using, though;
cupsd doesn't have a -V switch to tell me, and I don't know how else to get it.
Comment 4 Tim Waugh 2005-06-28 06:07:15 EDT
This is due to the way that our patched foomatic imports PPD files. (The
upstream foomatic cannot import PPD files at all..)

I expect you will find that you can use this PPD file correctly when you add it
from the http://localhost:631/ CUPS web interface.
Comment 5 Matthew Miller 2006-07-10 18:00:48 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.